net.corda.contracts.asset

## Class Clauses.ConserveAmount

- Clause
- - AbstractConserveAmount
  - - net.corda.contracts.asset.CommodityContract.Clauses.ConserveAmount

- Enclosing interface:
    CommodityContract.Clauses

      public static class Clauses.ConserveAmount
      extends AbstractConserveAmount

  Standard clause for conserving the amount from input to output.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.contracts.clauses.Clause

      `Clause.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.core.contracts.clauses.Clause

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConserveAmount()` Standard clause for conserving the amount from input to output.

  - ### Method Summary

    - ### Methods inherited from class net.corda.contracts.clause.AbstractConserveAmount

      `generateExit, toString, verify`

    - ### Methods inherited from class net.corda.core.contracts.clauses.Clause

      `getExecutionPath, getRequiredCommands, verify`

- - ### Constructor Detail

    - #### ConserveAmount

          public ConserveAmount()

      Standard clause for conserving the amount from input to output.